Skip to content

List prescription items

Request

Returns a paginated list of Prescription Items for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""instructions""quantityPrescribed""quantityRemaining""serialNumber""startDate"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
instructionsstring

Free-text administration or usage instructions for this prescription item.

isActiveboolean

Whether the prescription item is active and usable.

prescriptionIdstring

Identifier of the parent prescription.

Example:prescriptionId=123e4567-e89b-12d3-a456-426614174000
productIdstring

Identifier of the prescribed product.

Example:productId=123e4567-e89b-12d3-a456-426614174000
serialNumberstring

Serial number associated with this prescription item, if applicable.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/prescription-item?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&instructions=string&isActive=true&prescriptionId=123e4567-e89b-12d3-a456-426614174000&productId=123e4567-e89b-12d3-a456-426614174000&serialNumber=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Prescription Items